# Benchmarking Secondary Structure Predictions

  Typedefs

  typedef struct vrna_score_s vrna_score_t
    #include <ViennaRNA/structures/benchmark.h>

    Typename for the score data structure vrna_score_s.

  Functions

  vrna_score_t vrna_score_from_confusion_matrix(int TP, int TN, int FP, int FN)
    #include <ViennaRNA/structures/benchmark.h>

    Construct score data structure from given confusion matrix.

    Parameters:

      - TP – True positive count

      - TN – True negative count

      - FP – False positive count

      - FN – False negative count

    Returns:

      The score data structure to write

  vrna_score_t vrna_compare_structure_pt(const short *pt_gold, const short *pt_other, int fuzzy)
    #include <ViennaRNA/structures/benchmark.h>

    Return statistic of two structure (in pair table) comparaison.

    See also

    vrna_compare_structure

    Parameters:

      - pt_gold – Gold standard structure in pair table

      - pt_other – Structure to compare in pair table

      - fuzzy – Allows for base pair slippage. Hence, for any base pair (i,j) in the gold standard, a base pair (p, q) in the second structure is considered a true positive, if i - fuzzy <= p <= i + fuzzy, and j - fuzzy <= q <= j + fuzzy.

    Returns:

      The vrna_score_s data structure

  vrna_score_t vrna_compare_structure(const char *structure_gold, const char *structure_other, int fuzzy, unsigned int options)
    #include <ViennaRNA/structures/benchmark.h>

    Return statistic of two structure (in dbn) comparaison.

    Parameters:

      - pt_gold – Gold standard structure

      - pt_other – Structure to compare

      - fuzzy – Allows for base pair slippage. Hence, for any base pair (i,j) in the gold standard, a base pair (p, q) in the second structure is considered a true positive, if i - fuzzy <= p <= i + fuzzy, and j - fuzzy <= q <= j + fuzzy.

      - options – A bitmask to specify which brackets are recognized during conversion to pair table

    Returns:

      The vrna_score_s data structure

  struct vrna_score_s
    #include <ViennaRNA/structures/benchmark.h>

    The data structure that contains statistic result of two structures comparaison.

    Public Members

    int TP

      True Positive count.

    int TN

      True Negative count.

    int FP

      False Positive count.

    int FN

      False Negative count.

    float TPR

      True Positive Rate.

    float PPV

      Positive Predictive Value.

    float FPR

      False Positive Rate.

    float FOR

      False Omission Rate.

    float TNR

      True Negative Rate.

    float FDR

      False Discovery Rate.

    float FNR

      False Negative Rate

    float NPV

      Negative Predictive Value.

    float F1

      F1 Score.

    float MCC

      Matthews Correlation Coefficient.